package cn.com.qmth.stmms.ms.admin.dto;

/**
 * @Description: 导出档位表
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2019/10/13
 */
public class ExportLevelResultDTO {
    private String examNumber;
    private String studentName;
    private String areaName;
    private String sourceName;
    //    private String groupCell;
    private String result;
    private String teacherName;
    private Boolean markByLeader;
    private String level;
    private String upload;
    private Boolean isMissing;
    private Boolean isSample;
    private Boolean isOneClick;
    private String isShift;
    private int firstCol;
    private String subject;

    private String school;
    private String examRoom;

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public int getFirstCol() {
        return firstCol;
    }

    public void setFirstCol(int firstCol) {
        this.firstCol = firstCol;
    }

    public Boolean getMarkByLeader() {
        return markByLeader;
    }

    public void setMarkByLeader(Boolean markByLeader) {
        this.markByLeader = markByLeader;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public ExportLevelResultDTO() {

    }

    public ExportLevelResultDTO(String examNumber, String teacherName, String result) {
        this.examNumber = examNumber;
        this.teacherName = teacherName;
        this.result = result;
    }

    public ExportLevelResultDTO(String result, Boolean markByLeader, String level, String teacherName, String upload, Boolean isMissing, Boolean isSample, Boolean isOneClick, String isShift, String school, String examRoom) {
        this.result = result;
        this.markByLeader = markByLeader;
        this.level = level;
        this.teacherName = teacherName;
        this.upload = upload;
        this.isMissing = isMissing;
        this.isSample = isSample;
        this.isOneClick = isOneClick;
        this.isShift = isShift;
        this.school = school;
        this.examRoom = examRoom;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

//    public String getGroupCell() {
//        return groupCell;
//    }

//    public void setGroupCell(String groupCell) {
//        this.groupCell = groupCell;
//    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public String getUpload() {
        return upload;
    }

    public void setUpload(String upload) {
        this.upload = upload;
    }

    public Boolean getMissing() {
        return isMissing;
    }

    public void setMissing(Boolean missing) {
        isMissing = missing;
    }

    public Boolean getSample() {
        return isSample;
    }

    public void setSample(Boolean sample) {
        isSample = sample;
    }

    public Boolean getOneClick() {
        return isOneClick;
    }

    public void setOneClick(Boolean oneClick) {
        isOneClick = oneClick;
    }

    public String getIsShift() {
        return isShift;
    }

    public void setIsShift(String isShift) {
        this.isShift = isShift;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }
}